Subject: Re: [bitcoin-dev] BIP - Block size doubles at each reward halving with max block size of 32M

From: Luke Dashjr <[email-masked]>
Date: Fri, 13 Nov 2015 06:39:51 +0000

On Friday, November 13, 2015 2:56:55 AM Chun Wang via bitcoin-dev wrote:
> * 2 MB, 210000 <= height < 420000;

It's impossible to have the entire network upgraded in the past.

Furthermore, 1 MB is already too large a block size today. While blocks don't 
need to be as big as the limit, it's better to have the limit approximate what 
is reasonably possible without straining the network. So while your proposed 
schedule change might be workable (if miners can be trusted to keep actual 
block size under 50% pending future improvements), I prefer the proposal 
beginning at the next subsidy halving (which we're well on the way to).

Luke